diff --git a/helpers/create_pvc.sh b/helpers/create_pvc.sh
index 94b662e9e4498174265ccbdb4c82ec3455aae16c..99051e6fb9a8fe6dd46dd612e5cf36abeca59cff 100755
--- a/helpers/create_pvc.sh
+++ b/helpers/create_pvc.sh
@@ -41,7 +41,7 @@ elif [[ $pvc_pending != "Pending" ]]; then
     exit 2
 else
     echo "PVC exists but is pending, deleting then recreating..."
-    kubectl $EXTRA_ARGS delete $pvc_name || fail "Could not delete existing PVC"
+    kubectl $EXTRA_ARGS delete pvc $pvc_name || fail "Could not delete existing PVC"
 fi